varying mediump vec2 vTex;
uniform lowp sampler2D samplerFront;
uniform mediump vec2 srcStart;
uniform mediump vec2 srcEnd;
uniform lowp sampler2D samplerDepth;
uniform mediump vec2 destStart;
uniform mediump vec2 destEnd;
uniform mediump float zNear;
uniform mediump float zFar;
precision mediump float;

void main(void)
{
mediump vec2 tex = (vTex - srcStart) / (srcEnd - srcStart);
mediump float depthSample = texture2D(samplerDepth, mix(destStart, destEnd, tex)).r;
gl_FragColor = vec4(depthSample, depthSample, depthSample, 1.0);
}